#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)

%:
	dh $@ --with python2

test-python%:
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	python$* test.py -vv
endif

override_dh_auto_test: $(PYTHON2:%=test-python%)

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_clean:
	$(RM) --recursive mocker.egg-info
	dh_clean
